Subject: [bug#56404] [PATCH 0/2] gnu: Add python-msal and oauth2ms.

From: John Kehayias <[email-masked]>
Date: Tue, 05 Jul 2022 17:22:27 +0000

Hello Guix,

Here are two straight forward patches to add python-msal and oauth2ms. Short commentary:

1. python-msal: a package for Microsoft authentication tokens. Tests were disabled because most/all needed network access, and could only disable some of these tests with an environment variable. I did use the GitHub source since it includes tests, in case this can be better worked around in the future, or if using the source directly.

2. oauth2ms: a python script to use msal in order to have usable tokens, like needing oauth2 tokens for getting/sending mail with multi-factor authentication required email services. I copied the readme and steps.org which have documentation for setting this up to the appropriate doc folder. There is no release or version tag and the script needed to be wrapped.

As a final note, I've used this to send mail through my university email server that uses Microsoft Office 365 with multi-factor authentication (so you can't use your password or an app password). oauth2ms provides instructions for doing this in emacs, which I used for mu4e. And if you can't create the needed keys in Azure (as I couldn't) you can use Thunderbird's https://hg.mozilla.org/comm-central/file/tip/mailnews/base/src/OAuth2Providers.jsm#l127 along with your providers "tenet id" which I could find by logging on to Azure even without permissions to create an app.

Hope someone else finds this useful!
John